> ## Documentation Index
> Fetch the complete documentation index at: https://goldrush.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_estimateGas on Arbitrum

> eth_estimateGas estimates the gas required to execute a transaction on Arbitrum, via GoldRush JSON-RPC.

> [card] 0.01 credits per call

`eth_estimateGas` on **Arbitrum**: Estimates the gas required to execute a transaction.

## Endpoint

```
https://rpc.goldrushdata.com/v1/arbitrum-mainnet
```

Authenticate with `Authorization: Bearer <GOLDRUSH_API_KEY>`. See [authentication](https://goldrush.dev/docs/goldrush-json-rpc/authentication.md).

## Parameters

| Name | Type | Required | Description | Example |
| - | - | - | - | - |
| `callObject` | `Object` | yes | Same shape as `eth_call`'s call object. | `{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}` |

## Returns

`QUANTITY`: Hex-encoded gas estimate.

```json theme={null}
"0xc738"
```

## Examples

```bash curl theme={null}
curl https://rpc.goldrushdata.com/v1/arbitrum-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "eth_estimateGas",
    "params": [{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}]
  }'
```

```typescript ethers v6 theme={null}
import { ethers } from "ethers";

const url = "https://rpc.goldrushdata.com/v1/arbitrum-mainnet";
const fetchReq = new ethers.FetchRequest(url);
fetchReq.setHeader("Authorization", `Bearer ${process.env.GOLDRUSH_API_KEY}`);

const provider = new ethers.JsonRpcProvider(fetchReq);
const result = await provider.send("eth_estimateGas", [{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}]);
console.log(result);
```

```typescript viem theme={null}
import { createPublicClient, http } from "viem";

const client = createPublicClient({
  transport: http("https://rpc.goldrushdata.com/v1/arbitrum-mainnet", {
    fetchOptions: {
      headers: {
        Authorization: `Bearer ${process.env.GOLDRUSH_API_KEY}`,
      },
    },
  }),
});

const result = await client.request({
  method: "eth_estimateGas",
  params: [{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}],
});
console.log(result);
```

```javascript web3.js theme={null}
import { Web3 } from "web3";

const provider = new Web3.providers.HttpProvider(
  "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
  {
    headers: [
      { name: "Authorization", value: `Bearer ${process.env.GOLDRUSH_API_KEY}` },
    ],
  }
);
const web3 = new Web3(provider);

const result = await web3.currentProvider.request({
  method: "eth_estimateGas",
  params: [{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}],
});
console.log(result);
```

```python web3.py theme={null}
from os import environ
from web3 import Web3

w3 = Web3(Web3.HTTPProvider(
    "https://rpc.goldrushdata.com/v1/arbitrum-mainnet",
    request_kwargs={
        "headers": {
            "Authorization": f"Bearer {environ['GOLDRUSH_API_KEY']}",
        },
    },
))
result = w3.manager.request_blocking("eth_estimateGas", [{"from":"0xd8da6bf2...","to":"0xa0b86991...","data":"0xa9059cbb..."}])
print(result)
```

## Errors

| Code | Message |
| - | - |
| `-32000` | Gas required exceeds allowance, or transaction reverts. |

Plus standard JSON-RPC errors: `-32600` invalid request, `-32601` method not found, `-32602` invalid params.

## Related Executing transactions methods on Arbitrum

* [`eth_call` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-call)
* [`eth_sendRawTransaction` on Arbitrum](https://goldrush.dev/docs/api-reference/json-rpc/arbitrum/eth-sendrawtransaction)

## Also available on

* [`eth_estimateGas` on Ethereum](https://goldrush.dev/docs/api-reference/json-rpc/ethereum/eth-estimategas)
* [`eth_estimateGas` on Polygon](https://goldrush.dev/docs/api-reference/json-rpc/polygon/eth-estimategas)
* [`eth_estimateGas` on BNB Smart Chain (BSC)](https://goldrush.dev/docs/api-reference/json-rpc/bsc/eth-estimategas)
* [`eth_estimateGas` on Base](https://goldrush.dev/docs/api-reference/json-rpc/base/eth-estimategas)
* [`eth_estimateGas` on HyperEVM](https://goldrush.dev/docs/api-reference/json-rpc/hyperevm/eth-estimategas)
* [`eth_estimateGas` on MegaETH](https://goldrush.dev/docs/api-reference/json-rpc/megaeth/eth-estimategas)
* [`eth_estimateGas` on Monad](https://goldrush.dev/docs/api-reference/json-rpc/monad/eth-estimategas)
* [`eth_estimateGas` on Tempo](https://goldrush.dev/docs/api-reference/json-rpc/tempo/eth-estimategas)
* [`eth_estimateGas` on Robinhood Chain](https://goldrush.dev/docs/api-reference/json-rpc/robinhood/eth-estimategas)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.